import React, { Component } from 'react';
import { Text, View } from 'react-native';
import { Button } from 'react-native-elements';

import FacebookLogin from '../components/Login/FacebookLogin.container.js';
import LocalLogin from '../components/Login/LocalLogin.container.js';

import styles from './SignInOrRegister.styles.js';

export default class SignInOrRegister extends Component {
    constructor() {
        super(props);

        this._doRegistration = this._doRegistration.bind(this);
    }

    _doRegistration() {
        this.props.navigation.navigate('Register');
    }

    render() {
        return (
            <View style={styles.container}>
                <Text style={styles.title}>Sign In or Register</Text>
                <View style={styles.localLogin}>
                    <LocalLogin />
                </View>
                <View style={styles.services}>
                    <FacebookLogin />
                </View>
                <View style={styles.register}>
                    <Button title="Signup with Email" onPress={this._doRegistration} />
                </View>
            </View>
        );
    }
}
